> ## Documentation Index
> Fetch the complete documentation index at: https://help.pixwel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create notifications



## OpenAPI

````yaml /openapi.yaml post /notifications
openapi: 3.1.0
info:
  title: Pixwel Platform
  description: >-
    The Pixwel Platform REST API. Responses are decorated by proxy middleware
    (Fields, Links, Permissions, etc.). Use `?fields=` to request specific
    fields.
  version: '2.8'
  contact:
    email: jeff@pixwel.com
  license:
    name: UNLICENSED
servers:
  - url: https://api-staging.pixwel.com/api
    description: Staging
  - url: https://app.pixwel.com/api
    description: Production
security:
  - BasicAuth: []
paths:
  /notifications:
    post:
      tags:
        - Notifications
      summary: Create notifications
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NotificationsResponse'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationsResponse'
components:
  schemas:
    NotificationsResponse:
      type: object
      properties:
        _id:
          type: string
          example: 69fbdfb21bfa1d2a140fe11f
        from:
          type: string
          example: 69fbcc47695c40517b08a412
        to:
          type: string
          example: 58c6e38e4b161cef068b4576
        event:
          type: object
          properties:
            _id:
              type: string
              example: 69fbdf81509095a17b06d84c
            processed:
              type: boolean
              example: true
            pushed:
              type: boolean
              example: true
            digested:
              type: boolean
              example: true
            created:
              type: integer
              example: 1778114433
            from:
              type: object
              properties:
                _id:
                  type: string
                  example: 69fbcc47695c40517b08a412
                status:
                  type: object
                  properties:
                    invited:
                      type: boolean
                      example: true
                    approved:
                      type: boolean
                      example: true
                    registered:
                      type: boolean
                      example: true
                    confirmed:
                      type: boolean
                      example: true
                username:
                  type: string
                  example: ryan+workflow@pixwel.com
                invite:
                  type: string
                  example: https://3x.pixwel.com/register/:code
                emailNormal:
                  type: string
                  example: ryan+workflow@pixwel.com
                name:
                  type: string
                  example: Ryan Workflow
            type:
              type: string
              example: wam
            workRequest:
              type: object
              properties:
                _id:
                  type: string
                  example: 69fbdb6c86bcded891072af3
                auto:
                  type: boolean
                  example: false
                autosubs:
                  type: boolean
                  example: false
                dualLanguages:
                  type: boolean
                  example: false
                aspectRatio:
                  type: string
                  example: '16:9'
                status:
                  type: string
                  example: awaiting-materials
                from:
                  type: string
                  example: 69fbcc47695c40517b08a412
                asset:
                  type: string
                  example: 69fa4897dbab17ffa2057742
                assetType:
                  type: string
                  example: preliminary-production
                assetCategory:
                  type: string
                  example: av
                due:
                  type: object
                  properties:
                    date:
                      type: integer
                      example: 1778286181
                    tz:
                      type: string
                      example: America/Los_Angeles
                deliveryDeadline:
                  type: object
                  properties:
                    date:
                      type: integer
                      example: 1778286181
                    tz:
                      type: string
                      example: America/Los_Angeles
                autoMode:
                  type: boolean
                  example: false
                language:
                  type: string
                  example: BPO
                territory:
                  type: string
                  example: BR
                dng:
                  type: object
                  properties:
                    dialogue:
                      type: array
                      items:
                        type: string
                        example: Dedicated / Localized
                    graphics:
                      type: array
                      items:
                        type: string
                        example: Dedicated / Localized
                    narration:
                      type: array
                      items:
                        type: string
                        example: Dedicated / Localized
                audioFile:
                  type: string
                  nullable: true
                instructions:
                  type: string
                  example: ''
                urls:
                  type: object
                  properties:
                    view:
                      type: string
                      example: https://3x.pixwel.com/work-requests/:workRequest
                    manage:
                      type: string
                      example: https://3x.pixwel.com/work-requests/:workRequest
                    invite:
                      type: string
                      example: https://3x.pixwel.com/register/:code
                    translate:
                      type: string
                      example: >-
                        https://3x.pixwel.com/work-requests/:workRequest/subtitler
                files:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                        example: attachments
                      files:
                        type: array
                        items: {}
                uses:
                  type: object
                  properties:
                    items:
                      type: array
                      items:
                        type: string
                        example: Online
                    details:
                      type: object
                      properties:
                        Online:
                          type: array
                          items:
                            type: object
                            properties:
                              value:
                                type: string
                                example: 1080p
                              ship:
                                type: boolean
                                example: false
                dcp:
                  type: object
                  properties:
                    items:
                      type: array
                      items: {}
                    details:
                      type: array
                      items: {}
                recipients:
                  type: array
                  items: {}
                shippingAddresses:
                  type: array
                  items: {}
                project:
                  type: string
                  example: 6865c23ca1199cff5001ec8f
                studio:
                  type: string
                  example: 53d198844f06409d418b4571
                estimate:
                  type: object
                  properties:
                    base:
                      type: string
                      nullable: true
                    applied:
                      type: string
                      nullable: true
                materials:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                        example: graphics
                      complete:
                        type: boolean
                        example: false
                      approved:
                        type: boolean
                        example: false
                      files:
                        type: array
                        items: {}
                rejections:
                  type: array
                  items: {}
                history:
                  type: array
                  items:
                    type: object
                    properties:
                      date:
                        type: integer
                        example: 1778113388
                      user:
                        type: object
                        properties:
                          _id:
                            type: string
                            example: 69fbcc47695c40517b08a412
                          emailNormal:
                            type: string
                            example: ryan+workflow@pixwel.com
                          name:
                            type: string
                            example: Ryan Workflow
                          groups:
                            type: array
                            items:
                              type: object
                              properties:
                                _id:
                                  type: string
                                  example: 533b8a9a55f4ba9e078b45ad
                                name:
                                  type: string
                                  example: PPI Brazil
                      status:
                        type: string
                        example: incomplete
                      reason:
                        type: string
                        example: ''
                reason:
                  type: string
                  example: ''
                graphicsTranslation:
                  type: string
                  example: 69fbdb6c86bcded891072af5
                translation:
                  type: string
                  example: 69fbdb6c86bcded891072af6
                tags:
                  type: array
                  items: {}
            projects:
              type: array
              items:
                type: object
                properties:
                  _id:
                    type: string
                    example: 6865c23ca1199cff5001ec8f
                  name:
                    type: string
                    example: Regretting You
                  slug:
                    type: string
                    example: regrettingyou
            urls:
              type: object
              properties:
                view:
                  type: string
                  example: https://3x.pixwel.com/work-requests/69fbdb6c86bcded891072af3
                manage:
                  type: string
                  example: https://3x.pixwel.com/work-requests/69fbdb6c86bcded891072af3
                invite:
                  type: string
                  example: https://3x.pixwel.com/register/:code
                translate:
                  type: string
                  example: >-
                    https://3x.pixwel.com/work-requests/69fbdb6c86bcded891072af3/subtitler
            notify:
              type: object
              properties:
                users:
                  type: array
                  items:
                    type: string
                    example: 69fbcc47695c40517b08a412
                groups:
                  type: array
                  items:
                    type: string
                    example: 5328d77467d621906d8b4574
            assets:
              type: array
              items: {}
        type:
          type: string
          example: wam
        title:
          type: string
          example: >-
            Ryan Workflow (PPI Brazil) has marked work request "Regretting You -
            Int'l Trailer A V2 Production" as awaiting materials
        emailSubject:
          type: string
          example: >-
            Ryan Workflow (PPI Brazil) has marked work request "Regretting You -
            Int'l Trailer A V2 Production" as awaiting materials
        read:
          type: boolean
          example: false
        viewed:
          type: boolean
          example: false
        sent:
          type: boolean
          example: false
        added:
          type: integer
          example: 1778114482
        created:
          type: integer
          example: 1778114482
        $links:
          type: object
          properties:
            self:
              type: string
              example: >-
                //api-staging.pixwel.com/api/Notifications/69fbdfb21bfa1d2a140fe11f
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic

````